Bug 556723 - Review Request: ghc-regex-posix - Haskell posix regex library
Review Request: ghc-regex-posix - Haskell posix regex library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On: 555948
Blocks: 555443 556727
  Show dependency treegraph
 
Reported: 2010-01-19 03:36 EST by Jens Petersen
Modified: 2014-01-02 05:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-23 04:29:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-19 03:36:39 EST
Spec URL: http://petersen.fedorapeople.org/ghc-regex-posix/ghc-regex-posix.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-regex-posix/ghc-regex-posix-0.94.1-2.fc12.src.rpm
Description: The posix regex backend for regex-base

Part of haskell-platform.
Comment 1 Rakesh Pandit 2010-01-20 00:38:09 EST
[-] Build - not done - need ghc-regex-base imported - but tested on two of primary arch machines i686 and x86_64 using approved ghc-regex-base rpm

sudo yum -y --nogpgcheck localinstall ../RPMS/i686/ghc-regex-base-devel-0.93.1-2.fc13.i686.rpm ../RPMS/i686/ghc-regex-base-doc-0.93.1-2.fc13.i686.rpm ../RPMS/i686/ghc-regex-base-prof-0.93.1-2.fc13.i686.rpm ../RPMS/i686/ghc-regex-base-0.93.1-2.fc13.i686.rpm

[x] rpmlint - ok 

[rakesh@dhcp1-96 SPECS]$ rpmlint  /home/rakesh/rpmbuild/SRPMS/ghc-regex-posix-0.94.1-2.fc13.src.rpm
ghc-regex-posix.src: W: spelling-error-in-summary en_US Haskell
ghc-regex-posix.src: W: spelling-error-in-summary en_US backend
ghc-regex-posix.src: W: spelling-error-in-description en_US backend
ghc-regex-posix.src: W: no-cleaning-of-buildroot %install
ghc-regex-posix.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-posix-0.94.1-2.fc13.i686.rpm
ghc-regex-posix.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-posix.i686: W: spelling-error-in-summary en_US backend
ghc-regex-posix.i686: W: spelling-error-in-description en_US backend
ghc-regex-posix.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/regex-posix-0.94.1/libHSregex-posix-0.94.1-ghc6.12.1.so
ghc-regex-posix.i686: W: executable-stack /usr/lib/ghc-6.12.1/regex-posix-0.94.1/libHSregex-posix-0.94.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-posix-devel-0.94.1-2.fc13.i686.rpm
ghc-regex-posix-devel.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-posix-devel.i686: W: spelling-error-in-summary en_US backend
ghc-regex-posix-devel.i686: W: spelling-error-in-description en_US backend
ghc-regex-posix-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-posix-doc-0.94.1-2.fc13.i686.rpm
ghc-regex-posix-doc.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-posix-doc.i686: W: spelling-error-in-summary en_US backend
ghc-regex-posix-doc.i686: W: spelling-error-in-description en_US backend
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-posix-prof-0.94.1-2.fc13.i686.rpm
ghc-regex-posix-prof.i686: E: devel-dependency ghc-regex-posix-devel
ghc-regex-posix-prof.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-posix-prof.i686: W: spelling-error-in-summary en_US backend
ghc-regex-posix-prof.i686: W: spelling-error-in-description en_US backend
ghc-regex-posix-prof.i686: W: no-documentation
ghc-regex-posix-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/regex-posix-0.94.1/libHSregex-posix-0.94.1_p.a
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

Ignored.

[x] name fine
[x] URL fine
[x] source ok

from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/regex-posix-0.94.1.tar.gz 
4d0c820246da25735438c96c4392dd043a38bbfb  ../SOURCES/regex-posix-0.94.1.tar.gz

[rakesh@dhcp1-96 SPECS]$ sha1sum regex-posix-0.94.1.tar.gz 
4d0c820246da25735438c96c4392dd043a38bbfb  regex-posix-0.94.1.tar.gz


[x] spec name fine
[x] license ok (copy present) and source has marking
[x] source tree ok (no binaries present)
[x] archs - fine
[x] spec file legible and in american english
[x] BR's ok
[x] %files ok
[x] folders owned - ok

main

/usr/lib/ghc-6.12.1/regex-posix-0.94.1
/usr/share/doc/ghc-regex-posix-0.94.1

devel

/usr/lib/ghc-6.12.1/regex-posix-0.94.1
/usr/lib/ghc-6.12.1/regex-posix-0.94.1/Text
/usr/lib/ghc-6.12.1/regex-posix-0.94.1/Text/Regex
/usr/lib/ghc-6.12.1/regex-posix-0.94.1/Text/Regex/Posix

doc

/usr/share/doc/ghc/html/libraries/regex-posix-0.94.1

[x] source builds fine on fedora ghc archs
[x] no bundled dependencies
[x] %clean section ok
[x] filenames - ok (valid)
[x] profiling ok
[x] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[x] new macros

APPROVED

Before importing import base package.

Thanks,
Comment 2 Jens Petersen 2010-01-20 02:50:54 EST
Thank you for review! :)


New Package CVS Request
=======================
Package Name: ghc-regex-posix
Short Description: Haskell posix regex library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 3 Jason Tibbitts 2010-01-22 12:56:27 EST
CVS done (by process-cvs-requests.py).
Comment 4 Jens Petersen 2010-01-23 04:29:56 EST
Thank you - imported and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1939831
Comment 5 Jens Petersen 2010-10-03 22:24:50 EDT
Package Change Request
======================
Package Name: ghc-regex-posix
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 6 Kevin Fenzi 2010-10-04 15:04:48 EDT
Git done (by process-git-requests).
Comment 7 Jens Petersen 2013-12-27 08:27:53 EST
Package Change Request
======================
Package Name: ghc-regex-posix
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 8 Jens Petersen 2014-01-02 05:05:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.